PreviousSessionLoginHandler (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.authn.provider
Class PreviousSessionLoginHandler

    java.lang.Object
      edu.internet2.middleware.shibboleth.idp.authn.provider.AbstractLoginHandler
          edu.internet2.middleware.shibboleth.idp.authn.provider.PreviousSessionLoginHandler

All Implemented Interfaces:
  LoginHandler

    public class PreviousSessionLoginHandler

extends AbstractLoginHandler

Login handler that is called when user is logged in under a previously existing session.

Field Summary

Fields inherited from interface edu.internet2.middleware.shibboleth.idp.authn.LoginHandler
`AUTHENTICATION_ERROR_KEY, AUTHENTICATION_EXCEPTION_KEY, AUTHENTICATION_METHOD_KEY, PRINCIPAL_KEY, PRINCIPAL_NAME_KEY, SUBJECT_KEY`

Constructor Summary
`PreviousSessionLoginHandler()` Constructor.

Method Summary
`String` | `getServletPath()` Deprecated.
`void` | `login(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse)` Authenticate the user making the request.
`boolean` | `reportPreviousSessionAuthnMethod()` Gets whether to use PreviousSession as the users authentication method.
`void` | `setReportPreviousSessionAuthnMethod(boolean report)` Sets whether to use PreviousSession as the users authentication method.
`void` | `setServletPath(String path)` Deprecated.
`boolean` | `supportsPassive()` Gets whether this handler supports passive authentication.

Methods inherited from class edu.internet2.middleware.shibboleth.idp.authn.provider.AbstractLoginHandler
`getAuthenticationDuration, getSupportedAuthenticationMethods, setAuthenticationDuration, setAuthenticationDurection, setSupportsForceAuthentication, setSupportsPassive, supportsForceAuthentication`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreviousSessionLoginHandler

    public PreviousSessionLoginHandler()

  Constructor.

Method Detail

### getServletPath

    public String getServletPath()

  Deprecated.

  Get the path of the servlet to which the user agent may be redirected.

  Returns:
    path of the servlet to which the user agent may be redirected

### setServletPath

    public void setServletPath(String path)

  Deprecated.

  Set the path of the servlet to which the user agent may be redirected.

  Parameters:
    `path` - path of the servlet to which the user agent may be redirected

### reportPreviousSessionAuthnMethod

    public boolean reportPreviousSessionAuthnMethod()

  Gets whether to use PreviousSession as the users authentication method.

  Returns:
    whether to use PreviousSession as the users authentication method

### setReportPreviousSessionAuthnMethod

    public void setReportPreviousSessionAuthnMethod(boolean report)

  Sets whether to use PreviousSession as the users authentication method.

  Parameters:
    `report` - whether to use PreviousSession as the users authentication method

### supportsPassive

    public boolean supportsPassive()

  Gets whether this handler supports passive authentication.

  Specified by:
    `supportsPassive` in interface `LoginHandler`
  Overrides:
    `supportsPassive` in class `AbstractLoginHandler`
  Returns:
    whether this handler supports passive authentication

### login

    public void login(javax.servlet.http.HttpServletRequest httpRequest,
                      javax.servlet.http.HttpServletResponse httpResponse)

  Authenticate the user making the request.

  Parameters:
    `httpRequest` - user request
    `httpResponse` - response to user

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.